Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235737 - Forcedeth module causes bmc access to fail while machine is off
Summary: Forcedeth module causes bmc access to fail while machine is off
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Andy Gospodarek
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 20:50 UTC by Sarah Prelutsky
Modified: 2014-06-29 22:58 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:46:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Sarah Prelutsky 2007-04-09 20:50:08 UTC
Description of problem:

loose ipmi access when machine is powered off.

Version-Release number of selected component (if applicable): Rhel5 Server x86_64


How reproducible:
Everytime

Steps to Reproduce:
1. power down machine with forcedeth .56 driver
2. ping ipmi ip of target machine
3. ping will fail when machine is shut down. (ipmitool accesability is gone too)
  
Actual results:
ping/access fails
you cannot do "ipmitool -H 10.0.0.1 chassis power on"

Expected results:
should ping. should be accessible with ipmitool

Additional info:
Using forcedeth v .59 or v.60 resolves the issue.
From the upstream forcedeth.c for v.60
Changelog
 *      0.59: 31 May 2006: Added support for sideband management unit.

This change allowed ping and regular access to the BMC while the machine is
turned off.

Comment 1 Ernie Petrides 2007-09-11 22:08:33 UTC
This problem should be fixed with the update of the forcedeth driver
(to version 0.60) made during RHEL5.1, which is currently in beta.

Don, this is the relevant patch tracking file:

  forcedeth-update-to-driver-version-0-60.patch

Comment 2 Andy Gospodarek 2007-09-11 22:16:19 UTC
This is true -- in fact I'm quite sure I saw an almost identical report where
the update to the forcedeth driver for 5.1 resolved this. 

Feel free to test kernels from

http://people.redhat.com/agospoda/#rhel5

or

http://people.redhat.com/dzickus/el5/46.el5/

Comment 5 errata-xmlrpc 2007-11-07 19:46:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.